CON

  _clkmode      = xtal1 + pll8x
  _xinfreq      = 10_000_000

OBJ

  ant   :       "antenna_analyzer"
  sio   :       "FullDuplexSerial"
  fst   :       "FloatString"

PUB start | i, freq


  ant.start
  sio.start(31, 30, 0, 9600)
  'ant.calibrate
  'ant.save_calibration(1)
  'repeat
  ant.load_calibration(1)
  repeat i from 1 to 300
    freq := i * 100_000
    sio.dec(freq / 1000)
    sio.tx(",")
    sio.str(fst.floattostring(ant.gamma(freq)))
    sio.tx(13)
    